Bug 137974 - Forms have no borders
Summary: Forms have no borders
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-11-03 22:18 UTC by Xisco Faulí
Modified: 2020-11-11 10:44 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
sample file (12.17 KB, application/vnd.oasis.opendocument.text)
2020-11-03 22:18 UTC, Xisco Faulí
Details
7.0 vs 7.1 (44.04 KB, image/png)
2020-11-03 22:18 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-11-03 22:18:08 UTC
Created attachment 166984 [details]
sample file

Steps to reproduce:
1. Open attached document

-> Forms have no borders

Reproduced in

Version: 7.1.0.0.alpha1+
Build ID: 35f7d9a18fa7f559a1427e1b8a0f094f864f945a
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-11-03 22:18:30 UTC
Created attachment 166985 [details]
7.0 vs 7.1
Comment 2 Xisco Faulí 2020-11-03 22:19:39 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=4deadc3c78949c18bb886eb1f66caa8f3cd7a2df

author	Luboš Luňák <l.lunak@collabora.com>	2020-09-25 13:30:11 +0200
committer	Luboš Luňák <l.lunak@collabora.com>	2020-09-29 09:54:42 +0200
commit	4deadc3c78949c18bb886eb1f66caa8f3cd7a2df (patch)
tree	c6c17519268c9adaf382f2dd07f71787e2d8cff5
parent	cd85546a2fbdade42f80fd3b6bd650791db9f32d (diff)
disentangle AA and B2D use in VCL drawing

Bisected with: bibisect-linux64-7.1

Adding Cc: to Luboš Luňák
Comment 3 Commit Notification 2020-11-11 10:44:06 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/1fde62018c8d3344a3408c7b6317120aefc778fb

make sure mpAlphaVDev is drawn when drawing lines (tdf#137974)

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.